# Excel Navigator Pro Addon #

This package contains extra features for microsoft Excel. 


## Features


<table border="1">
    <tr>
        <td>control + page down / up</td>
        <td>Switchen between worksheets</td>
    </tr>
    <tr>
        <td>F2</td>
        <td>Jump into the editing field of the cell OR the formula bar (depends on settings)</td>
    </tr>
    <tr>
        <td>shift+F2</td>
        <td>Make note in selected cell</td>
    </tr>
     <tr>
        <td>shift+Control+F2</td>
        <td>Add comment to selected cell</td>
    </tr>
    <tr>
        <td>control + arrows</td>
        <td>Jump to the border of cell's "region"</td>
    </tr>
    <tr>
        <td>Control+Alt+5</td>
        <td>Navigate between shapes/textboxes and pictures</td>
    </tr>
    <tr>
        <td>Control + Space</td>
        <td>Select the whole column</td>
    </tr>
     <tr>
        <td>Shift + Space</td>
        <td>Select the whole row </td>
    </tr>
<tr>
        <td>Shift + Control + Space</td>
        <td>Select the whole "region" that the current cell is part of</td>
    </tr>
</table>

More function can be found in  <a href="https://support.microsoft.com/en-us/office/keyboard-shortcuts-in-excel-1798d9d5-842a-42b8-9c99-9b7213f0040f">this link</a>.
## NVDA functions

<table border="1">
    <tr>
        <td>NVDA + F7 </td>
        <td>Open elementslist</td>
    </tr>
    <tr>
        <td>NVDA + shift + c </td>
        <td> Pressing this once tells NVDA this is the first header cell in the row that contains column headers, which should be automatically announced when moving between columns below this row. Pressing twice will clear the setting.</td>
    </tr>
     <tr>
        <td>NVDA + shift + r</td>
        <td> Pressing this once tells NVDA this is the first header cell in the column that contains row headers, which should be automatically announced when moving between rows after this column. Pressing twice will clear the setting.</td>
    </tr>
    <tr>
        <td>NVDA + Alt + c</td>
        <td> Report the note of the cell </td>
    </tr>
</table>

## Add-On functions


<table border="1">
    <tr>
        <td>NVDA + control + [number] </td>
        <td> Press once to set current cell in focus as monitor cell [number]. Press twice to remove monitor cell, even if the cell is not the current focus. </td>
    </tr>
     <tr>
        <td>NVDA + shift + [number]</td>
        <td>Press once to report the value of the monitored cell. Press twice to set the monitored cell as the current focus.  </td>
    </tr>
    <tr>
        <td>NVDA + shift + backspace</td>
        <td>Jumps back to the last cell that was selected before jumping to a monitor cell</td>
    </tr>
    <tr>
        <td>NVDA+shift+p </td>
        <td> Reports the coordinates of the current cell</td>
    </tr>
     <tr>
        <td>NVDA + control + shift + c </td>
        <td>Reports the column header </td>
    </tr>
     <tr>
        <td>NVDA + control + shift + r </td>
        <td>Reports the row header </td>
    </tr>
    <tr>
        <td>NVDA + shift + f</td>
        <td>Reports the formula of the current cell</td>
    <tr>
        <td>NVDA + shift +h</td>
        <td>Opens dialog window to make "absolute" row/colom headers</td>
    </tr>
    </tr>
    <tr>
        <td>NVDA + h</td>
        <td>Open this helpmenu</td>
    </tr>
</table>

## Changelog
### Excel Navigator Pro 2022.1
* updated to NVDA 2022.1
* Implemented the licensingDLL for checking licenses




<!--

### monitor Cells
Up to 10 monitor cells can be created with NVDA+control+1/2/3.../0. These monitor cells can be tracked from everywhere in the worksheet. 

* NVDA+control+[number]:Press once to set current cell in focus as monitor cell [number]. Press twice to remove monitor cell, even if the cell is not the current focus. 
* NVDA+shift+[number]: Press once to report the value of the monitored cell. Press twice to set the monitored cell as the current focus.   


### Datablock list
In the ElementsList (NVDA+F7) there is now a list with datablocks. This list contains all regions where non-blank cells are. This list can be used to get a quick overview of all possible table locations in an excel sheet. This list also reports the number of rows and columns of this block. One can also move to the first cell of this block and navigate from there.

Not all excel data are in block shape. The Datablocks in this list are therefore the smallest block that encoperates a region of continuously connected data. The first cell might thus be empty, but control+down arrow or control+right arrow will garantee a hit on data block.

### Other feature extensions
* The position of a cell can be reported with NVDA+shift+p
* The row / column headers of a cell (if any) can be reported with NVDA+control+shift+r / NVDA+control+shift+c.
* The formula of the current cell ( if any) can be reported with NVDA+shift+f
-->
