# Excel Navigator Pro Addon #

Dit pakket bevat extra functionaliteiten voor microsoft Excel. Hier staat uitleg over zowel de functies die in Excel, NVDA en deze add-on zitten.


## Excel functies

<table border="1">
    <tr>
        <td>control + page down / up</td>
        <td>Switchen van tabbladen</td>
    </tr>
    <tr>
        <td>F2</td>
        <td>Spring naar invoerveld van de cel OF de formule balk (ligt aan instellingen)</td>
    </tr>
    <tr>
        <td>shift+F2</td>
        <td>maak notitie aan in geselecteerde cel</td>
    </tr>
     <tr>
        <td>shift+Control+F2</td>
        <td>maak opmerking aan of beantwoord opmerking in geselecteerde cel</td>
    </tr>
    <tr>
        <td>control + pijltjes toetsen</td>
        <td>spring naar rand van huidige data "regio"</td>
    </tr>
    <tr>
        <td>Control+Alt+5</td>
        <td>Spring naar vormen / textboxen / plaatjes </td>
    </tr>
    <tr>
        <td>Control + Spatiebalk</td>
        <td>Selecteer hele kolom</td>
    </tr>
     <tr>
        <td>Shift + Spatiebalk</td>
        <td>Selecteer hele rij </td>
    </tr>
<tr>
        <td>Shift + Control + Spatiebalk</td>
        <td>Selecteer hele "regio" waar de cel inzit</td>
    </tr>
</table>

Meer combinaties kan je in de <a href="https://support.microsoft.com/en-us/office/keyboard-shortcuts-in-excel-1798d9d5-842a-42b8-9c99-9b7213f0040f">deze link</a> vinden.
## NVDA functies

<table border="1">
    <tr>
        <td>NVDA + F7 </td>
        <td>Open elementenlijst</td>
    </tr>
    <tr>
        <td>NVDA + shift + c </td>
        <td> Door eenmaal indrukken weet NVDA dat dit de eerste cel is in de rij waar de kolomkoppen in staan die automatisch moeten worden gemeld bij het gaan van kolom naar kolom in de rijen eronder. Door tweemaal drukken wordt de instelling opgeheven.</td>
    </tr>
     <tr>
        <td>NVDA + shift + r</td>
        <td> Door eenmaal indrukken weet NVDA dat dit de eerste cel is in de kolom waar de rijkoppen in staan die automatisch moeten worden gemeld bij het gaan van rij naar rij na deze kolom. Door tweemaal drukken wordt de instelling opgeheven. </td>
    </tr>
    <tr>
        <td>NVDA + Alt + c</td>
        <td> Notitie van de geselecteerde cel melden </td>
    </tr>
</table>

## Add-On functies


<table border="1">
    <tr>
        <td>NVDA + control + [nummer] </td>
        <td> Druk een keer om de geselecteerde cel als monitor cel in te stellen. Druk twee keer om de corresponderende monitor cel te verwijderen, zelfs als het niet de huidig geselecteerde cel is.</td>
    </tr>
     <tr>
        <td>NVDA + shift + [nummer]</td>
        <td>Druk een keer om de inhoud van de monitor cel op te noemen. Druk twee keer om naar de monitor cel te springen </td>
    </tr>
    <tr>
        <td>NVDA + shift + backspace</td>
        <td>Druk om na de laatste cel te gaan voor het verspringen naar een monitor cel</td>
    </tr>
    <tr>
        <td>NVDA+shift+p </td>
        <td> Lees de coordinaten van de huidige cel voor.</td>
    </tr>
     <tr>
        <td>NVDA + control + shift + c </td>
        <td>Lees de kolomtitel voor </td>
    </tr>
     <tr>
        <td>NVDA + control + shift + r </td>
        <td>Lees de rijtitel voor </td>
    </tr>
    <tr>
        <td>NVDA + shift + f</td>
        <td>Lees de formule van de cel voor</td>
    </tr>
    <tr>
        <td>NVDA + shift + h</td>
        <td>Open een dialoog voor de kolom/rij labels die over het hele werkblad reiken</td>
    </tr>
    <tr>
        <td>NVDA + h</td>
        <td>Open dit helpmenu</td>
    </tr>
</table>

## Changelog
### Excel Navigator Pro 2022.1
* updated to NVDA 2022.1
* Implemented the licensingDLL for checking licenses


<!--
### monitor Cells
Tot 10 monitor cellen kunnen worden aangewezen met NVDA+control+1/2/3.../0. Je kan op ieder moment de inhoud van de cel opvragen of ernaar toe springen.

* NVDA+control+[nummer]: Druk een keer om de geselecteerde cel als monitor cel in te stellen. Druk twee keer om de corresponderende monitor cel te verwijderen, zelfs als het niet de huidig geselecteerde cel is.
* NVDA+shift+[nummer]: Druk een keer om de inhoud van de monitor cel op te noemen. Druk twee keer om naar de monitor cel te springen 
* NVDA+shift+backspace: Druk om na de laatste cel te gaan voor het verspringen naar een monitor cel


### Datablok lijst
In de elementenlijst (NVDA+F7) is nu ook een lijst met zogenoemde datablokken. Deze lijst bevat alle regio's waar niet-lege cellen zijn. Deze lijst kan worden gebuikt om een overzicht te krijgen waar data in de sheet staat. De lijst geeft ook het aantal kolommen en rijen van de datablok weer. Als je een van deze datablokken vanuit de elementenlijst selecteert dan kan je erheen springen.

Niet alle data is perse in blokvorm. De datablokken in deze lijst zijn daarom ook de kleinste rechthoeken met daarin aaneengesloten data staat. De eerste cel kan leeg zijn, maar control+pijltje beneden / links zal gegarandeerd een niet lege cel geven.

	
### Overige functies
* De cel coordinaten van een cel kunnen worden opgevraagd met NVDA+shift+p
* De rij/kolom labels van een cel kunnen worden opgevraagd met NVDA+control+shift+r / NVDA+control+shift+c.
* De formule van een cel kan worden opgevraagd met NVDA+shift+f
-->
